/*
 * Copyright 2010 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DEFINES_H
#define DEFINES_H

#define OS 1

#if OS == 1
    #define USER_APPS_DIR ".kde/share/apps"
    #define USER_APPS_CONFIG ".kde/share/config"
    #define OS_PATH_SEPARATOR "/"
#else
    #define USER_APPS_DIR "/apps"
    #define USER_APPS_CONFIG "/config"
    #define OS_PATH_SEPARATOR "\\"
#endif

#define APP_FULL_NAME "EqualX"
#define APP_NAME "equalx"
#define APP_VERSION 0.3

/* defines for QSettings */
#define SETTINGS_DIR "equalx"
#define SETTINGS_FILE "settings"

#define TEMP_FILE "latexEdTmp"


// Initial window size
#define APP_WIDTH 800
#define APP_HEIGHT 600

// Commands
#define LATEX2DVI "latex -interaction=nonstopmode %1"
#define DVI2PNG "dvipng -T tight -D %3 -bg %4 -o %1 %2"

// defines for parsing the .tex file
#define BLOCK_START_L "[%- IF "
#define BLOCK_START_R " -%]"
#define BLOCK_END_L "[%- END "
#define BLOCK_END_R " -%]"

#define ELEMENT_L "[% "
#define ELEMENT_R " %]"

// interval(in milliseconds) after the equation is modified and to update the .tex file
#define EQUATION_UPDATE_INTERVAL 200

// defines for PNG Header Info
#define INFO_HEADER_LATEX "Latex"
#define INFO_HEADER_GEN "Generator"
#define INFO_HEADER_GEN_VER "Generator_Version"
#define INFO_HEADER_FG "Foreground"
#define INFO_HEADER_BG "Background"
#define INFO_HEADER_RES "Resolution"
#define INFO_HEADER_PREAMBLE "Preamble"

#endif // DEFINES_H
