/*
 * Copyright 2010 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QString>
#include <QDir>
#include <QFile>
#include "workspace.h"
#include "defines.h"


Workspace::Workspace()
{
    QString wsPath =  QDir::homePath() +"/"+ USER_APPS_DIR +"/"+ APP_NAME;

    if(!QFile::exists(wsPath) )
        createWS(wsPath);


    QDir::setCurrent(wsPath);

    m_workspaceDir = new QDir::QDir(wsPath);
    m_curDir  = new QDir::QDir(wsPath);
    m_tempDir = new QDir::QDir(wsPath + "/tmp");
}

Workspace::~Workspace(){

}

void Workspace::createWS(QString path)
{
    m_workspaceDir = new QDir::QDir(path);
    m_workspaceDir->mkpath(path);
    m_workspaceDir->mkdir(path+"/tmp");

}

QString Workspace::currentDir()
{
    return m_curDir->absolutePath();

}

QString Workspace::tempDir()
{
    return m_tempDir->absolutePath();

}

QString Workspace::tempFile()
{
    return QString(m_tempDir->absolutePath() + OS_PATH_SEPARATOR + TEMP_FILE);

}

QString Workspace::tempImage()
{
    return QString(m_tempDir->absolutePath() + OS_PATH_SEPARATOR + TEMP_FILE + ".png");

}

QString Workspace::root()
{

    return m_workspaceDir->absolutePath();
}

void Workspace::currentDir(const QString &dirname)
{
    m_curDir->setCurrent(dirname);
}
