/*
 * Copyright 2010 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Workspace class to access file system  */

// contains functions to set/get User's workspace variables

#ifndef WORKSPACE_H
#define WORKSPACE_H

class QString;
class QDir;

class Workspace
{
public:
    Workspace();
    ~Workspace();

    QString currentDir();
    QString tempDir();
    QString tempFile();
    QString tempImage();
    QString root();

    void currentDir(const QString &dir);
private:
    void createWS(QString path);

    QDir *m_tempDir;
    QDir *m_curDir;
    QDir *m_workspaceDir;

};

#endif // WORKSPACE_H
